# nvme-mi-cmd-support-effects-log(1) Manual Page

## NAME

nvme-mi-cmd-support-effects-log - Send NVMe MI Command Support and Effects log, returns results and structure

## SYNOPSIS

    nvme-mi-cmd-support-effects-log <device> [--human-readable | -H]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

For the NVMe device given, sends an MI Command Support and Effects log (id 13h) and provides the result and returned log structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the structure may be returned in one of several ways depending on the option flags; the structure may be parsed by the program or the raw buffer may be printed to stdout.

## OPTIONS

-H
--human-readable

  This option will parse and format many of the bit fields into human-readable formats.

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

nvme mi-cmd-support-effects-log /dev/nvme0 -H

## NVME

Part of the nvme-user suite